PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List opportunities GETCreate an opportunity POSTGet an opportunity GETUpdate an opportunity PATCHDelete an opportunity DELETEMove an opportunity POST
Opportunities

Update an opportunity

PATCH
/opportunities/{opportunityId}

Authorization

x-api-key<token>

In: header

Path Parameters

opportunityId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/opportunities/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "pipelineId": "string",    "stageId": "string",    "contactId": "string",    "customerId": "string",    "name": "string",    "value": 0,    "currency": "string",    "ownerMembershipId": "string",    "nextFollowUpAt": "2019-08-24T14:15:22Z",    "rank": "string",    "qualFit": true,    "qualTimeline": true,    "qualBudget": true,    "qualDecisionMaker": true,    "qualAge": true,    "isQualified": true,    "closeReason": "NOT_FIT",    "closeNote": "string",    "nurtureReason": "TIMING",    "closedAt": "2019-08-24T14:15:22Z"  }}

Get an opportunity GET

Previous Page

Delete an opportunity DELETE

Next Page

name?string
contactId?string
customerId?string
value?integer
ownerMembershipId?string
nextFollowUpAt?string
Formatdate-time
stageId?string
qualFit?boolean
qualTimeline?boolean
qualBudget?boolean
qualDecisionMaker?boolean
qualAge?boolean
closeReason?OpportunityCloseReason

Value in

  • "NOT_FIT"
  • "MINOR_NO_CONSENT"
  • "SPAM"
  • "DUPLICATE"
  • "PRICE"
  • "COMPETITOR"
  • "NO_RESPONSE"
  • "OTHER"
closeNote?string
Lengthlength <= 500
nurtureReason?OpportunityNurtureReason

Value in

  • "TIMING"
  • "MONEY"
  • "DECISION_MAKER"
  • "OTHER"